import request from '@/utils/request'

// 查询员工列表
export function staffList(params) {
    return request({
        url: '/system/staff/staffList',
        method: 'get',
        params: params,
    })
}

// 保存/更新员工信息
export function updateStaff(data) {
    return request({
        url: '/system/staff/insertOrUpdateStaff',
        method: 'post',
        data: data,
    })
}

// 员工列表删除
export function deleteStaff(data) {
    return request({
        url: '/system/staff/deleteStaff',
        method: 'post',
        data: data,
    })
}

// 更新员工列表备注信息
export function updateStaffRemarks(data) {
    return request({
        url: '/system/staff/updateStaffRemarks',
        method: 'post',
        data: data
    })
}


// 员工文档列表导入
export function importStaffList(data) {
    return request({
        url: '/system/staff/importStaffList',
        method: 'post',
        data: data,
    })
}


// 员工证书列表查询
export function staffCertList(params) {
    return request({
        url: '/staff/certificate/list',
        method: 'get',
        params: params,
    })
}

// 员工证书新增
export function addStaffCert(data) {
    return request({
        url: '/staff/certificate/add',
        method: 'post',
        data: data,
    })
}

// 员工证书更新
export function updateStaffCert(data) {
    return request({
        url: '/staff/certificate/update',
        method: 'post',
        data: data,
    })
}


// 删除企业员工证书
export function deleteStaffCert(data) {
    return request({
        url: '/staff/certificate/delete',
        method: 'post',
        data: data,
    })
}

// 员工证书列表导入
export function importStaffCertList(data) {
    return request({
        url: '/staff/certificate/importStaffCertificateList',
        method: 'post',
        data: data,
    })
}



